Skip to main content
`Ctrl`+`K`

# KSPGuessUpdate

Updates the guess object with the current solution and rhs vector

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessUpdate(KSPGuess guess, Vec rhs, Vec sol)

Collective

## Input Parameters

- guess - the initial guess context

- rhs - the corresponding rhs

- sol - the computed solution

## See Also

KSP: Linear System Solvers, `KSPGuessCreate()`, `KSPGuess`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

## Implementations

KSPGuessUpdate_POD() in src/ksp/ksp/guess/impls/pod/pod.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages